Skip to main content
PATCH
Update project

Authorizations

Authorization
string
header
required

An opaque Omnara personal or organization bearer token.

Path Parameters

orgID
string
required

Organization ID (org_...).

Pattern: ^org_[a-z2-7]{26}$
projectID
string
required

Project ID (proj_...).

Pattern: ^proj_[a-z2-7]{26}$

Body

application/json
name
string
required

Human-readable name. Spaces and punctuation are allowed; leading or trailing whitespace and invisible or control characters are not.

Required string length: 1 - 64

Response

The updated project.

Shared project fields composed into project response schemas. Composing schemas close their final shape with unevaluatedProperties.

id
string
required

Project ID (proj_...).

Pattern: ^proj_[a-z2-7]{26}$
org_id
string
required
Pattern: ^org_[a-z2-7]{26}$
name
string
required

Human-readable name. Spaces and punctuation are allowed; leading or trailing whitespace and invisible or control characters are not.

Required string length: 1 - 64
created_at
string<date-time>
required
updated_at
string<date-time>
required